%define	major	3

Summary:	A GNU arbitrary precision library
Name:		gmp
Version:	3.1.1
Release:	4mdk
URL:		http://www.gnu.org/

Source:		ftp://ftp.gnu.org/pub/gnu/%{name}-%{version}.tar.bz2

License:	GPL 
Group:		System/Libraries
BuildRoot:	%_tmppath/%name-%version-%release-root

%description
The gmp package contains GNU MP, a library for arbitrary precision arithmetic,
signed integers operations, rational numbers and floating point numbers. GNU MP
is designed for speed, for both small and very large operands.

GNU MP is fast for several reasons:
   - it uses fullwords as the basic arithmetic type,
   - it uses fast algorithms,
   - it carefully optimizes assembly code for many CPUs' most common inner loops
   - it generally emphasizes speed over simplicity/elegance in its operations

%package -n lib%{name}%{major}
Summary:	A GNU arbitrary precision library
Group:		System/Libraries

%description -n lib%{name}%{major}
The gmp package contains GNU MP, a library for arbitrary precision arithmetic,
signed integers operations, rational numbers and floating point numbers. GNU MP
is designed for speed, for both small and very large operands.

GNU MP is fast for several reasons:
  - it uses fullwords as the basic arithmetic type,
  - it uses fast algorithms
  - it carefully optimizes assembly code for many CPUs' most common inner loops
  - it generally emphasizes speed over simplicity/elegance in its operations

%package -n lib%{name}%{major}-devel
Summary:	Development tools for the GNU MP arbitrary precision library
Group:		Development/C
PreReq:		/sbin/install-info
Provides:	lib%{name}-devel = %{version}-%{release} %{name}-devel = %{version}-%{release}
Requires:	lib%{name}%{major} = %version-%release

%description -n lib%{name}%{major}-devel
The static libraries, header files and documentation for using the GNU MP
arbitrary precision library in applications.

If you want to develop applications which will use the GNU MP library, you'll
need to install the gmp-devel package.  You'll also need to install the gmp
package.

%prep

%setup -q

%build
./configure --target=%{_target_cpu}-mandrake-linux-gnu \
            --prefix=%{_prefix} \
	    --exec-prefix=%{_exec_prefix} \
	    --bindir=%{_bindir} \
	    --sbindir=%{_sbindir} \
	    --sysconfdir=%{_sysconfdir} \
	    --datadir=%{_datadir} \
	    --includedir=%{_includedir} \
	    --libdir=%{_libdir} \
	    --libexecdir=%{_libexecdir} \
	    --localstatedir=%{_localstatedir} \
	    --sharedstatedir=%{_sharedstatedir} \
	    --mandir=%{_mandir} \
	    --infodir=%{_infodir}

%make CFLAGS="%optflags"

%install
install -d %buildroot/%_libdir %buildroot/%_infodir %buildroot/%_includedir
%makeinstall

%post -n lib%{name}%{major} -p /sbin/ldconfig

%postun -n lib%{name}%{major} -p /sbin/ldconfig

%post -n lib%{name}%{major}-devel
%_install_info %{name}.info

%preun -n lib%{name}%{major}-devel
%_remove_install_info %{name}.info

%clean
rm -fr %buildroot

%files -n lib%{name}%{major}
%defattr(-,root,root)
%doc COPYING.LIB NEWS README
%{_libdir}/libgmp.so.*

%files -n lib%{name}%{major}-devel
%defattr(-,root,root)
%doc doc demos
%{_libdir}/libgmp.so
%{_libdir}/libgmp.a
%{_includedir}/gmp.h
#%{_includedir}/gmp-mparam.h
%{_infodir}/gmp.info*

%changelog
* Thu Aug 30 2001 Warly <warly@mandrakesoft.com> 3.1.1-4mdk
- some rpmlint fixes

* Sun Mar 18 2001 David BAUDENS <baudens@mandrakesoft.com> 3.1.1-3mdk
- Fix build on PPC
- Requires: %%version-%%release and not only %%version

* Tue Mar 13 2001 Warly <warly@mandrakesoft.com> 3.1.1-2mdk
- fix optimizations flag not used

* Mon Mar  5 2001 Warly <warly@mandrakesoft.com> 3.1.1-1mdk
- new version

* Fri Jan 12 2001 Francis Galiegue <fg@mandrakesoft.com> 2.0.2-17mdk

- Fixed file list
- Some spec file changes
- Fixed Requires

* Wed Jul 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0.2-16mdk
- fix bad script

* Wed Jul 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0.2-15mdk
- BM
- add doc

* Thu Jul 13 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 2.0.2-14mdk
- makeinstall macro
- macroszifications

* Sat Mar 25 2000 Daouda Lo <daouda@mandrasoft.com> 2.0.2-13mdk
- fix group

* Sun Nov 28 1999 John Buswell <johnb@mandrakesoft.com>
- Added PPC support

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Release version.

* Tue Jul 22 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- add french description

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale
- .spec optimizations

* Thu Feb 11 1999 Michael Johnson <johnsonm@redhat.com>
- include the private header file gmp-mparam.h because several
  apps seem to assume that they are building against the gmp
  source tree and require it.  Sigh.

* Tue Jan 12 1999 Michael K. Johnson <johnsonm@redhat.com>
- libtoolize to work on arm

* Thu Sep 10 1998 Cristian Gafton <gafton@redhat.com>
- yet another touch of the spec file

* Wed Sep  2 1998 Michael Fulbright <msf@redhat.com>
- looked over before inclusion in RH 5.2

* Sat May 24 1998 Dick Porter <dick@cymru.net>
- Patch Makefile.in, not Makefile
- Don't specify i586, let configure decide the arch

* Sat Jan 24 1998 Marc Ewing <marc@redhat.com>
- started with package from Toshio Kuratomi <toshiok@cats.ucsc.edu>
- cleaned up file list
- fixed up install-info support
